Bug 2503 - libsmb/libsmbclient.c line 4371, (const char *) type cast is wrong
libsmb/libsmbclient.c line 4371, (const char *) type cast is wrong
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient
3.0.12
All All
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-21 08:27 UTC by Jason Mader
Modified: 2005-08-24 10:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader 2005-03-21 08:27:52 UTC
cc-1164 cc: WARNING File = libsmb/libsmbclient.c, Line = 4371
  Argument of type "const char *" is incompatible with parameter of type "char *"
          .

                                 &pol, path, name, (const char *) value, size);
                                                   ^

This typecast should only be (char *)
Comment 1 Gerald (Jerry) Carter 2005-03-22 08:12:04 UTC
Fixed.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:17:47 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.